<html>
<head>
<title>Ogre::ResourceGroupManager::ResourceLocation Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ResourceGroupManager.html">ResourceGroupManager</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation.html">ResourceLocation</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ResourceGroupManager::ResourceLocation Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ResourceGroupManager::ResourceLocation" -->
<p><a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> location entry.  
 <a href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>&gt;</code></p>

<p><a href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Archive.html">Archive</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation.html#a6c67405ce5274cbf9e7ecefc1840539b">archive</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the archive which is the destination.  <a href="#a6c67405ce5274cbf9e7ecefc1840539b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation.html#a89980295496fa459796c2561d0a40f3f">recursive</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether this location was added recursively.  <a href="#a89980295496fa459796c2561d0a40f3f"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> location entry. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00277">277</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a6c67405ce5274cbf9e7ecefc1840539b"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceLocation::archive" ref="a6c67405ce5274cbf9e7ecefc1840539b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Archive.html">Archive</a>* <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation.html#a6c67405ce5274cbf9e7ecefc1840539b">Ogre::ResourceGroupManager::ResourceLocation::archive</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to the archive which is the destination. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00280">280</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a89980295496fa459796c2561d0a40f3f"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceLocation::recursive" ref="a89980295496fa459796c2561d0a40f3f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation.html#a89980295496fa459796c2561d0a40f3f">Ogre::ResourceGroupManager::ResourceLocation::recursive</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Whether this location was added recursively. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00282">282</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
